mssql_query
mssql_rows_affected
Mssql Functions
PHP Manual

# mssql_result

(PHP 4, PHP 5, PECL odbtp:1.1.1-1.1.4)

mssql_result — Get result data

### Description

string mssql_result ( resource `$result` , int `$row` , mixed `$field` )

mssql_result() returns the contents of one cell from a MS SQL result set.

### Parameters

`result`

  The result resource that is being evaluated. This result comes from a call to mssql_query().

`row`

  The row number.

`field`

  Can be the field's offset, the field's name or the field's table dot field's name (tablename.fieldname). If the column name has been aliased ('select foo as bar from...'), it uses the alias instead of the column name.

  > Note: Specifying a numeric offset for the `field` argument is much quicker than specifying a fieldname or tablename.fieldname argument.

### Return Values

Returns the contents of the specified cell.

### Notes

> Note: When working on large result sets, you should consider using one of the functions that fetch an entire row (specified below). As these functions return the contents of multiple cells in one function call, they're MUCH quicker than mssql_result().

### See Also

Recommended high-performance alternatives:

- mssql_fetch_row()
- mssql_fetch_array()
- mssql_fetch_object()

mssql_query
mssql_rows_affected
Mssql Functions
PHP Manual